<%--
 Copyright (C) 2006 Funambol
 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 --%>

<%-- $Id: top.jsp,v 1.1 2006/05/28 15:01:04 nichele Exp $ --%> 
 
<%@ taglib prefix="sql" uri="/WEB-INF/tlds/sql.tld" %>
<%@ taglib prefix="c" uri="/WEB-INF/tlds/c.tld" %>
<%@ taglib prefix="fmt" uri="/WEB-INF/tlds/fmt.tld" %>

<%@ page errorPage = "ErrorPage.jsp" %>

<%@ page import="java.util.*" %>
<%@ page import="java.sql.*" %>
<%@ page import="javax.sql.*" %>
<%@ page import="com.funambol.framework.tools.*" %>
<%@ page import="com.funambol.dmdemo.*" %>


<jsp:useBean id="dmDemoBean" scope="session" class="com.funambol.dmdemo.DMDemoBean"/>


<fmt:setLocale value="en_EN" />
<fmt:setBundle basename="DMDemo" />

<HTML>
<HEAD>
<TITLE>Funambol DM Demo</TITLE>
<link rel="stylesheet" type="text/css" href="../css/style.css">
</HEAD>

<body>
<div align="center"><a target="_top" href="http://www.funambol.com" border="0"><img src="/dmdemo/img/funambol.gif" alt="Device Management Server" border="0"></a><br></div>
<DIV align="center" style=" font-size:14;font-family:arial;font.style:bold">Device Management Server</div>


<script>

function LogOut(){
    parent.document.location="logOut.jsp";
}

function LogIn(){
    parent.main.document.location="login.jsp";
}

function AddDevice(){
    parent.main.document.location="addDevice.jsp";
}

</script>

<%  
boolean isLogged = dmDemoBean.isUserLogged();
%>

<br>      
<table width="100%" border="0" bordercolor="red" bgcolor="#D5D5D5">
<tr>
<td>
<CENTER>
<a href="javascript:AddDevice();"><fmt:message key="CREATE_NEW_DEVICE_BT" /></a>
&nbsp;-&nbsp;
<% if(isLogged) { %>
    <fmt:message key="LOGIN" />
<% } %>
<% if(!isLogged) { %>
    <a href="javascript:LogIn();"><fmt:message key="LOGIN" /></a>
<% } %>        
&nbsp;-&nbsp;
<% if(isLogged) { %>
    <a href="javascript:LogOut();"><fmt:message key="LOGOUT" /></a>
<% } %>
<% if(!isLogged) { %>
    <fmt:message key="LOGOUT" />
<% } %>
</CENTER>
</td>
</tr>
</table>

</body>

</HTML>
